Package org.springframework.jdbc.core.metadata

# Class CallMetaDataProviderFactory

java.lang.Object
org.springframework.jdbc.core.metadata.CallMetaDataProviderFactory

public final class CallMetaDataProviderFactory extends Object
Factory used to create a `CallMetaDataProvider` implementation based on the type of database being used.

Since:
  2.5
Author:
  Thomas Risberg, Juergen Hoeller, Sam Brannen

## Field Summary

Fields
Modifier and Type
Field
Description
`static final List<String>`
`supportedDatabaseProductsForFunctions`
List of supported database products for function calls.
`static final List<String>`
`supportedDatabaseProductsForProcedures`
List of supported database products for procedure calls.

## Method Summary

Modifier and Type
Method
Description
`static CallMetaDataProvider`
`createMetaDataProvider(DataSource dataSource, CallMetaDataContext context)`
Create a `CallMetaDataProvider` based on the database meta-data.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### supportedDatabaseProductsForProcedures

public static final List<String> supportedDatabaseProductsForProcedures
List of supported database products for procedure calls.

### supportedDatabaseProductsForFunctions

public static final List<String> supportedDatabaseProductsForFunctions
List of supported database products for function calls.

## Method Details

### createMetaDataProvider

public static CallMetaDataProvider createMetaDataProvider(DataSource dataSource, CallMetaDataContext context)
Create a `CallMetaDataProvider` based on the database meta-data.

Parameters:
  `dataSource` - the JDBC DataSource to use for retrieving meta-data
  `context` - the class that holds configuration and meta-data
Returns:
  instance of the CallMetaDataProvider implementation to be used